
package com.tmerclub.cloud.common.leaf.segment.model;

import java.io.Serial;
import java.io.Serializable;
/**
 * @author leaf
 */
public class LeafAlloc implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    private String key;
    private long maxId;
    private int step;
    private Long value;
    private String updateTime;

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public long getMaxId() {
        return maxId;
    }

    public void setMaxId(long maxId) {
        this.maxId = maxId;
    }

    public int getStep() {
        return step;
    }

    public void setStep(int step) {
        this.step = step;
    }

    public Long getValue() {
        return value;
    }

    public void setValue(Long value) {
        this.value = value;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }
}
